> ## Documentation Index
> Fetch the complete documentation index at: https://plai-a079b342.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Audiences

> This endpoint allows you to get custom audiences.

## Request Body

<ParamField body="userId" type="string" required>
  User ID, If not already created, make a user on [create user
  page](/api-reference/endpoint/auth/create_user) first. If already created,
  retrieve the user ID from [get profile
  page](/api-reference/endpoint/auth/get_profile).
</ParamField>

<ParamField body="pagination" type="string">
  If the number of results exceeds the page limit, the response will include
  pagination links (next and previous) to help you navigate through the result
  set.
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates that the HTTP response was successful (status code 200 OK).
</ResponseField>

<ResponseField name="results" type="object">
  <Expandable title="Results Object">
    <ResponseField name="success" type="boolean">
      Indicates whether the specific operation or API action was successful.
    </ResponseField>

    <ResponseField name="customAudiences" type="object[]">
      <Expandable title="Custom Audiences">
        <ResponseField name="id" type="string">
          Unique audience identifier
        </ResponseField>

        <ResponseField name="name" type="string">
          Audience display name
        </ResponseField>

        <ResponseField name="subtype" type="string">
          Audience classification type
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="next" type="string">Next Page Link</ResponseField>
    <ResponseField name="previous" type="string">Previous Page Link</ResponseField>

    <ResponseField name="error" type="string">
      Error string if something went wrong
    </ResponseField>
  </Expandable>
</ResponseField>
